Daraja HTTP Framework 3.0-MS1 HTTP server framework for Object Pascal

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
TdjWebComponentContextHandler Class Reference

Context Handler for Web Components. More...

Inheritance diagram for TdjWebComponentContextHandler:

## Public Member Functions
| TdjWebComponentContextHandler (const string ContextPath, Boolean Sessions=False)
| Constructor.
| ~TdjWebComponentContextHandler ()
| Destructor.
| AddWebComponent (TdjWebComponentClass ComponentClass, const string PathSpec)
| Add a Web Component.
| AddWebComponent (TdjWebComponentHolder Holder, const string PathSpec)
| Add a Web Component.
| AddWebFilter (TdjWebFilterHolder Holder, const string PathSpec)
| Add a Web Filter Holder.
| AddFilterWithMapping (TdjWebFilterClass FilterClass, const string PathSpec)
| Add a Web Filter, specifying a WebFilter class and the mapped WebComponent name.
| Handle (const string Target, TdjServerContext Context, TdjRequest Request, TdjResponse Response)
| Handle a HTTP request.
Public Member Functions inherited from TdjContextHandler
| TdjContextHandler (const string ContextPath)
| Create a ContextHandler.
| ~TdjContextHandler ()
| Destructor.
IContext | GetCurrentContext ()
| The internal IContext field.
| SetInitParameter (const string Key, const string Value)
| Set initialization parameter.
| DoStart ()
| Start the handler.
| DoStop ()
| Stop the handler.
| Handle (const string Target, TdjServerContext Context, TdjRequest Request, TdjResponse Response)
| Handle a HTTP request.
Public Member Functions inherited from TdjHandlerWrapper
| AddHandler (const IHandler Handler)
| Add a handler to the container.
| RemoveHandler (const IHandler Handler)
| Remove a handler from the container.
| DoStart ()
| Start the handler.
| DoStop ()
| Stop the handler.
| Handle (const string Target, TdjServerContext Context, TdjRequest Request, TdjResponse Response)
| Handle a HTTP request.
Public Member Functions inherited from TdjAbstractHandler
| TdjAbstractHandler ()
| Constructor.
| DoStart ()
| Start the handler.
| DoStop ()
| Start the handler.
| Handle (const string Target, TdjServerContext Context, TdjRequest Request, TdjResponse Response)
| Handle a HTTP request.
Public Member Functions inherited from TdjLifeCycle
| Start ()
| Start the handler.
| Stop ()
| Stop the handler.
Boolean | IsStarted ()
Boolean | IsStopped ()

## Protected Member Functions
| DoHandle (const string Target, TdjServerContext Context, TdjRequest Request, TdjResponse Response)
Protected Member Functions inherited from TdjContextHandler
Boolean | ContextMatches (const string ConnectorName, const string Target)
| Check if the Document matches this context.
string | ToConnectorName (TdjServerContext Context)
| Creates connector name in the form 'host:port'.
Protected Member Functions inherited from TdjHandlerWrapper
TIdHTTPSession | GetSession (TdjServerContext Context, TdjRequest Request, TdjResponse Response, const Boolean Create)
| Get a HTTP session.
Protected Member Functions inherited from TdjAbstractHandlerContainer
| AddHandler (const IHandler Handler)
| Add a handler.
| RemoveHandler (const IHandler Handler)
| Remove a handler.
Protected Member Functions inherited from TdjLifeCycle
| DoStart ()
| Execute the custom start code.
| DoStop ()
| Execute the custom stop code.
| CheckStarted ()
| Raises an exception if the lifecycle is in "started" state.
| CheckStopped ()
| Raises an exception if the lifecycle is in "stopped" state.

## Additional Inherited Members
Public Attributes inherited from TdjContextHandler
TStrings | ConnectorNames
string | ContextPath
IHandler | ErrorHandler
Public Attributes inherited from TdjHandlerWrapper
IHandler | Handler
Public Attributes inherited from TdjLifeCycle
Boolean | Started
| True if the state is "started".
Boolean | Stopped
| True if the state is "stopped".

## Detailed Description

Context Handler for Web Components.

## Constructor & Destructor Documentation

## ◆ TdjWebComponentContextHandler()

TdjWebComponentContextHandler::TdjWebComponentContextHandler | ( | const string | ContextPath,
|  | Boolean | Sessions = False )

Constructor.

Parameters

  ContextPath | the context path
  Sessions | enable HTTP sessions

References TdjHandlerWrapper::AddHandler(), and TdjContextHandler::ContextPath.

## Member Function Documentation

## ◆ AddFilterWithMapping()

TdjWebComponentContextHandler::AddFilterWithMapping | ( | TdjWebFilterClass | FilterClass,
|  | const string | PathSpec )

Add a Web Filter, specifying a WebFilter class and the mapped WebComponent name.

Parameters

  FilterClass | WebFilter class
  PathSpec | path specification

Exceptions

  Exception | if the WebFilter can not be added

References TdjWebComponentHandler::AddFilterWithMapping().

## ◆ AddWebComponent() [1/2]

TdjWebComponentContextHandler::AddWebComponent | ( | TdjWebComponentClass | ComponentClass,
|  | const string | PathSpec )

Add a Web Component.

Parameters

  ComponentClass | WebComponent class
  PathSpec | path specification

Exceptions

  EWebComponentException | if the Web Component can not be added

References TdjWebComponentHandler::AddWebComponent(), TdjWebComponentHandler::AddWithMapping(), TdjWebComponentHandler::FindHolder(), TdjContextHandler::GetCurrentContext(), and TdjWebComponentHolder::SetContext().

## ◆ AddWebComponent() [2/2]

TdjWebComponentContextHandler::AddWebComponent | ( | TdjWebComponentHolder | Holder,
|  | const string | PathSpec )

Add a Web Component.

Parameters

  Holder | holds information about the Web Component
  PathSpec | path specification

Exceptions

  EWebComponentException | if the Web Component can not be added

References TdjWebComponentHandler::AddWithMapping(), TdjWebComponentHolder::GetContext(), TdjWebComponentHolder::SetContext(), and TdjWebComponentHolder::WebComponentClass.

## ◆ AddWebFilter()

TdjWebComponentContextHandler::AddWebFilter | ( | TdjWebFilterHolder | Holder,
|  | const string | PathSpec )

Add a Web Filter Holder.

Parameters

  Holder | holds information about the Web Filter
  PathSpec | path specification

Exceptions

  Exception | if the Web Filter can not be added

References TdjWebComponentHandler::AddFilterWithMapping(), and TdjWebFilterHolder::SetContext().

## ◆ DoHandle()

TdjWebComponentContextHandler::DoHandle | ( | const string | Target,
|  | TdjServerContext | Context,
|  | TdjRequest | Request,
|  | TdjResponse | Response )
| protected

Parameters

  Target | Request target
  Context | HTTP server context
  Request | HTTP request
  Response | HTTP response

References TdjContextHandler::ContextPath, and TdjWebComponentHandler::Handle().

Referenced by Handle().

## ◆ Handle()

TdjWebComponentContextHandler::Handle | ( | const string | Target,
|  | TdjServerContext | Context,
|  | TdjRequest | Request,
|  | TdjResponse | Response )

Handle a HTTP request.

Parameters

  Target | Request target
  Context | HTTP server context
  Request | HTTP request
  Response | HTTP response

Exceptions

  EWebComponentException | if an exception occurs that interferes with the component's normal operation

See also
  IHandler

References TdjContextHandler::ContextMatches(), DoHandle(), TdjHandlerWrapper::GetSession(), and TdjContextHandler::ToConnectorName().